### Method

# GLib Tree lookup_extended

#### Declaration [src]

    gboolean
    g_tree_lookup_extended (
      GTree* tree,
      gconstpointer lookup_key,
      gpointer* orig_key,
      gpointer* value
    )

#### Description [src]

Looks up a key in the `GTree`, returning the original key and the associated value. This is useful if you need to free the memory allocated for the original key, for example before calling g_tree_remove().

#### Parameters

`lookup_key`

  Type: `gconstpointer`

  The key to look up.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`orig_key`

  Type: `gpointer*`

  Returns the original key.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.

`value`

  Type: `gpointer*`

  Returns the value associated with the key.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

`TRUE` if the key was found in the `GTree`.